/*
* AUTHOR: Nicolas Justin <https://nicolasjustin.ga>
* SINCE: 2019/05/09 - 10:33am
* VERSION: 1.0.0.1
*/

.navbar-sticky-top {
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	z-index: 1020;
}

/* Menu Horizontal */
.menu {
	position: relative;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-ms-flex-align: center;
	align-items: center;
	-ms-flex-pack: justify;
	justify-content: space-between;
	padding: 0.5rem 1rem;
	height: 60px;
	font-size: 1rem;
	box-shadow: 0 0 4px rgba(221, 221, 221, 0.45);
}

.menu,
.menu ul {
	margin: 0;
	padding: 0;
	background-color: #1d3550;
	color: #ffffff;
	list-style: none;
	text-transform: none;
	font-weight: 400;
	line-height: 60px;
}

/* Personalizar Links */
.menu a {
	display: block;
	height: 100%;
	color: #ffffff;
	text-decoration: none;
	cursor: pointer;
}

.menu li.menu-trigger {
	position: relative;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.menu > li {
	display: block;
	float: left;
	height: 100%;
	text-align: center;
}

/* Menu Lista Horizontal */
.menu > li:nth-child(1n + 1):not(:last-child) {
	font-size: 1.562rem;
}

/* Menu Perfil */
.menu > li:last-child {
	float: right;
	border-right: none;
}

.menu > li > a {
	padding: 0 19px;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: bold;
}

.menu > li > button {
	padding: 0 19px;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: bold;
}

.menu > li a:hover {
	/* background-color: #f1f5f9 !important; */
	background-color: rgba(255,255,255,0.1) !important;
	color: #ffffff !important;
}

.menu-nav {
	position: fixed;
	top: 60px;
	bottom: 0;
	left: 0;
	overflow: hidden;
	width: 60px;
	background: #1d3550;
	border-right: 1px solid rgba(255,255,255,0.1);
	-webkit-transform: translateX(-60px);
	-moz-transform: translateX(-60px);
	transform: translateX(-60px);
	-webkit-transition: -webkit-transform 0.3s, width 0.3s;
	-moz-transition: -moz-transform 0.3s, width 0.3s;
	transition: transform 0.3s, width 0.3s;
}

.menu-scroll {
	position: absolute;
	overflow-y: scroll;
	width: 370px;
	height: 100%;
}

.menu-lista {
	/* border-bottom: 1px solid #C6D0DA; */
	text-align: left;
	font-size: 0.875rem;
}

/* .menu-lista > li {
	border-top: 1px solid #DDD;
	border-bottom: 1px solid #DDD;
}
.menu-lista > li:first-child {
	border-top: none;
	border-bottom: none;
}
.menu-lista > li:last-child {
	border-bottom: none;
	border-top: none;
} */

/* Para poder colocar o Menu-Sub/Lista-Disabled */
.menu-lista li,
.menu-sublista li {
	position: relative;
}

/* /Para poder colocar o Menu-Sub/Lista-Disabled */

.menu-lista li:hover, .menu-lista li a:hover {
	background-color: rgba(255,255,255,0.1);
	color: #ffffff;
}

/* Hover Icon */
.menu-lista li:hover i {
	color: #ffffff;
}

.menu-sublista li {
	overflow: hidden;
	height: 0;
	-webkit-transition: height 0.3s;
	-moz-transition: height 0.3s;
	transition: height 0.3s;
}

/*.menu-sublista li a {
	color: #252525;
}*/

/* Menu Search */
input.menu-search {
	position: relative;
	z-index: 10;
	padding-left: 60px;
	outline: none;
	border: none;
	background: transparent;
	font-weight: 300;
	cursor: pointer;
}

.menu-search:hover {
	color: #DDD;
}

/* placeholder */
.menu-search::-webkit-input-placeholder {
	color: #DDD;
}

.menu-search:-moz-placeholder {
	color: #DDD;
}

.menu-search::-moz-placeholder {
	color: #DDD;
}

.menu-search:-ms-input-placeholder {
	color: #DDD;
}

/* Hover placeholder */
.menu-search:hover::-webkit-input-placeholder {
	color: #DDD;
}

.menu-search:hover::-moz-placeholder {
	color: #DDD;
}

.menu-search:hover:-moz-placeholder {
	color: #DDD;
}

.menu-search:hover:-ms-input-placeholder {
	color: #DDD;
}

/* hide placeholder when active in Chrome */

.menu-search:focus::-webkit-input-placeholder,
.no-touch .menu-lista li.menu-search-item:hover .menu-search:focus::-webkit-input-placeholder {
	color: transparent;
}

input.menu-search:focus {
	cursor: text;
}

.no-touch .menu-lista li.menu-search-item:hover input.menu-search {
	color: #FFF;
}

/* placeholder */
.no-touch .menu-lista li.menu-search-item:hover .menu-search::-webkit-input-placeholder {
	color: #FFF;
}

.no-touch .menu-lista li.menu-search-item:hover .menu-search:-moz-placeholder {
	color: #FFF;
}

.no-touch .menu-lista li.menu-search-item:hover .menu-search::-moz-placeholder {
	color: #FFF;
}

.no-touch .menu-lista li.menu-search-item:hover .menu-search:-ms-input-placeholder {
	color: #FFF;
}

.menu a.menu-search {
	position: absolute;
	top: 0;
	left: 0;
	height: 60px;
}

/* Menu Nav Icon */
.menu-icon {
	position: relative;
	font-size: 1.125rem;
}

.menu-icon::before {
	display: inline-block;
	width: 60px;
	text-align: center;
	-webkit-font-smoothing: antialiased;
}

/* Menu Nav Sublista */
.menu-icon-sublista::before {
	margin-left: 80px;
	display: inline-block;
	background-color: #cbd5e1;
	content: "";
	height: 6px;
	top: -1px;
	left: -10px;
	position: relative;
	width: 6px;
	border-radius: 50%;
}

.menu-icon-sublista:hover::before {
	background-color: #ffffff;
}

/* styles for opening menu */
.menu-nav.menu-aberto-todo,
.menu-nav.menu-aberto-parte {
	-webkit-transform: translateX(0px);
	-moz-transform: translateX(0px);
	transform: translateX(0px);
}

.menu-nav.menu-aberto-todo {
	width: 300px;
}

.menu-nav.menu-aberto-todo .menu-sublista li {
	height: 60px;
}

@media screen and (max-width: 422px) {
	.menu-nav.menu-aberto-todo {
		-webkit-transform: translateX(0px);
		-moz-transform: translateX(0px);
		transform: translateX(0px);
		width: 100%;
	}

	.menu-nav.menu-aberto-todo .menu-scroll {
		width: 130%
	}
}

/* Dropdown Item */
.menu .dropdown .dropdown-menu {
	background-color: #1d3550;
	margin-top: 10px;
	box-shadow: 0 4px 12px rgba(0,0,0,0.3);
	border: 1px solid rgba(255,255,255,0.1);
	transform: translate3d(-112px, 60px, 0) !important;
}

.menu .dropdown .dropdown-menu > i {
	position: absolute;
	right: 10px;
	top: -18px;
	color: #1d3550;
	font-size: 2rem;
	text-shadow: 0 -1px 2px rgba(0,0,0,0.05);
}

.menu .dropdown .dropdown-item-etm {
	display: inline-block;
	position: relative;
	width: 100%;
	padding: .25rem 1.5rem;
	clear: both;
	font-weight: 400;
	color: #ffffff;
	text-align: inherit;
	white-space: nowrap;
	margin-right: 50px;
}

.menu .dropdown .dropdown-item-etm:focus,
.menu .dropdown .dropdown-item-etm:active,
.menu .dropdown .dropdown-item-etm:hover {
	background-color: rgba(255,255,255,0.1);
	color: #ffffff;
}

.menu .dropdown .dropdown-item-etm:focus,
.menu .dropdown .dropdown-item-etm:active {
	font-weight: 900
}

.menu .dropdown .dropdown-item-etm i {
	position: absolute;
	top: 25px;
	right: 24px;
}

/* Button Menu Nav Lista Disabled */
.menu-lista-disabled {
	background: rgba(255,255,255,0.1);
	color: #ffffff;
	font-weight: 700;
	font-family: 'Raleway', 'Oxygen', sans-serif;
	border-left: 3px solid #007BFF;
}

.menu-lista-disabled > a > i {
	color: #ffffff;
}

.menu-lista-disabled a:hover,
.menu-sublista-disabled a:hover {
	cursor: default;
}

/* Button Menu Nav Sublista Disabled */
.menu-sublista-disabled {
	background: rgba(255,255,255,0.1);
	color: #ffffff;
	font-weight: 700;
	font-family: 'Raleway', 'Oxygen', sans-serif;
}

.menu-sublista-disabled a::before {
	background-color: #ffffff;
}